---
title: Navigator.registerContentHandler()
slug: Web/API/Navigator/registerContentHandler
tags:
  - API
  - MIME
  - Method
  - Navigator
  - Obsolete
  - Web-Based Protocol Handlers
  - registerContentHandler
---
<div>{{ ApiRef("HTML DOM") }}{{ Obsolete_header }}</div>

<p><span class="seoSummary">Allows web sites to register themselves as possible handlers for content of a particular MIME type.</span></p>

<p>{{Note("Web sites may only register content handlers for themselves. For security reasons, it\'s not possible for an extension or web site to register content handlers targeting other sites.")}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">navigator.registerContentHandler(<em>mimeType</em>, <em>uri</em>, <em>title</em>);</pre>

<ul>
 <li><code>mimeType</code> is the desired MIME type as a string.</li>
 <li><code>uri</code> is the URI to the handler as a string.</li>
 <li><code>title</code> is the title of the handler presented to the user as a string.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js;auto-links:false;">navigator.registerContentHandler(
    "application/vnd.mozilla.maybe.feed",
    "http://www.example.tld/?foo=%s",
    "My Feed Reader"
);</pre>

<h2 id="Notes">Notes</h2>

<p>For <a href="/en-US/docs/Firefox_2_for_developers" title="Firefox_2_for_developers">Firefox 2</a> and above, only the <code>application/vnd.mozilla.maybe.feed</code>, <code>application/atom+xml</code>, and <code>application/rss+xml</code> MIME types are supported. All values have the same effect, and the registered handler will receive feeds in all Atom and RSS versions (see {{Bug("391286")}}).</p>

<p>Firefox is the only browser that implemented this feature, and it wasn't implemented to match the standard. This feature has since been removed from the HTML standard and shouldn't be used.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML5.2', 'webappapis.html#dom-navigator-registercontenthandler', 'registerContentHandler()')}}</td>
   <td>{{Spec2('HTML5.2')}}</td>
   <td>This feature is present in HTML 5.2, but has since been removed from the WHATWG HTML Living Standard.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.registerContentHandler")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web-based_protocol_handlers" title="Web-based_protocol_handlers">Web-based protocol handlers</a></li>
 <li>{{domxref("Navigator.registerProtocolHandler()")}}</li>
 <li><a href="/en-US/docs/WebAPI/Web_Activities">Web activities</a>, particularly view and open</li>
 <li><a href="/en-US/docs/Mozilla/Tech/XPCOM/Reference/Interface/nsIWebContentHandlerRegistrar#registerContentHandler">XPCOM Interface Reference &gt; nsIWebContentHandlerRegistrar &gt; registerContentHandler</a> - This shows how to use this function XPCOM scope</li>
</ul>
